Cantera 2.6.0

Classes | Namespaces
ReactionFactory.h File Reference

Factory class for reaction functions. More...

`#include "cantera/base/FactoryBase.h"`
`#include "cantera/kinetics/Reaction.h"`
Include dependency graph for ReactionFactory.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | ReactionFactory
| Factory class to construct reaction function calculators. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Detailed Description

Factory class for reaction functions.

Used by classes that implement kinetics (see Reactions and reaction rates and class Reaction).

Definition in file ReactionFactory.h.